=== debian/control ===
Source: netcdf-ffc3
Section: math
Priority: optional
Maintainer: TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>
Standards-Version: 3.1.1

Package: netcdf-ffc3
Architecture: any
Recommends: netcdfg-dev, netcdf-doc, netcdf-bin
Suggests: ffc (>=3.0)
Depends: ${shlibs:Depends}
Description: NetCDF static library build with Fujitsu Fortran&C compiler. 
 Alternative developer's package of NetCDF. 
 This package provides NetCDF static libraries
 for Fujitsu Fortran&C compiler.
